JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const endUsers = await conductor.endUsers.list();
console.log(endUsers.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
end_users = conductor.end_users.list()
print(end_users.data)curl --request GET \
--url https://api.conductor.is/v1/end-users \
--header 'Authorization: Bearer <token>'
{
"objectType": "list",
"url": "/v1/end-users",
"data": [
{
"id": "end_usr_1234567abcdefg",
"objectType": "end_user",
"createdAt": "2024-01-01T12:34:56.789Z",
"companyName": "Acme Inc.",
"sourceId": "12345678-abcd-abcd-example-1234567890ab",
"email": "bob@acme.com",
"integrationConnections": [
{
"id": "int_conn_1234567abcdefg",
"objectType": "integration_connection",
"createdAt": "2024-01-01T12:34:56.789Z",
"integrationSlug": "quickbooks_desktop",
"lastRequestAt": "2024-01-01T12:34:56.789Z",
"lastSuccessfulRequestAt": "2024-01-01T12:34:56.789Z"
}
]
}
]
}End Users
List all end-users
Returns a list of your end-users.
GET
/
end-users
JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const endUsers = await conductor.endUsers.list();
console.log(endUsers.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
end_users = conductor.end_users.list()
print(end_users.data)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Response
200 - application/json
Returns an object with a data property that contains an array of end-user objects. Each entry in the array is a separate end-user object. If no more end-users are available, the resulting array will be empty.
⌘I

